ros-noetic-autoware-config-msgs (1.14.0-1buster) buster; urgency=high



 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Thu, 03 Sep 2020 05:00:00 -0000

ros-noetic-autoware-config-msgs (1.13.0-1buster) buster; urgency=high

  * Lateral limitation filter by twist_filter
  * add param of decision_maker: disable insert stopline
  * Add Message Properties for use_sim and use_decision_maker
  * Update package.xml files to Format 2.
  * Contributors: Joshua Whitley, Yuma Nihei, s-azumi

 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Tue, 03 Dec 2019 06:00:00 -0000

ros-noetic-autoware-config-msgs (1.12.0-1buster) buster; urgency=high



 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Fri, 12 Jul 2019 05:00:00 -0000

ros-noetic-autoware-config-msgs (1.11.0-1buster) buster; urgency=high

  * [Feature] Rebuild decision maker (#1609 <https://github.com/CPFL/Autoware/issues/1609>)
  * [Feature] waypoint replanner and extractor (#1951 <https://github.com/CPFL/Autoware/issues/1951>)
  * Fix license notice in corresponding package.xml
  * Contributors: Yuma Nihei, amc-nu, s-azumi

 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Thu, 21 Mar 2019 05:00:00 -0000

ros-noetic-autoware-config-msgs (1.10.0-1buster) buster; urgency=high

  * Fix Kf/KF naming convention
  * Fix Dpm/DPM naming convention
  * Fix Ndt/NDT naming convention
  * Fix Ssd/SSD naming convention
  * Contributors: Esteve Fernandez

 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Thu, 17 Jan 2019 06:00:00 -0000

ros-noetic-autoware-config-msgs (1.9.1-1buster) buster; urgency=high



 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Tue, 06 Nov 2018 06:00:00 -0000

ros-noetic-autoware-config-msgs (1.9.0-1buster) buster; urgency=high

  * Moved configuration messages to autoware_config_msgs
  * Contributors: Esteve Fernandez

 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Wed, 31 Oct 2018 05:00:00 -0000

ros-noetic-autoware-config-msgs (1.7.0-1buster) buster; urgency=high

  * update Version from 1.6.3 to 1.7.0 in package.xml and CHANGELOG.rst
  * [Fix] rename packages (#1269 <https://github.com/CPFL/Autoware/issues/1269>)
    * rename lidar_tracker
    * Modify pf_lidar_track's cmake file
    * Refactor code
    * Rename from euclidean_lidar_tracker to lidar_euclidean_track
    * Rename from kf_contour_track to lidar_kf_contour_track
    * Rename from kf_lidar_track to lidar_kf_track, but need some modification in euclidean cluster(Cluster.h)
    * Rename from pf_lidar_tarck to lidar_pf_track
    * Rename range_fusion
    * Rename obj_reproj
    * Rename euclidean_cluster to lidar_euclidean_cluster_detect
    * Rename svm_lidar_detect to lidar_svm_detect
    * Rename kf_lidar_track to lidar_kf_track
    * Change version 1.6.3 to 1.7.0 in pacakge.xml
    * Modify CMake so that extrenal header would be loaded
    * Remove obj_reproj from cv_tracker
    * Add interface.yaml
    * Rename road_wizard to trafficlight_recognizer
    * create common directory
    * Add lidar_imm_ukf_pda_track
    * create vision_detector and moved cv
    * Modify interface.yaml and package.xml
    * remove dpm_ocv
    * moved directory
    * Delete unnecessary launch file
    * Delete rcnn related file and code
    * separated dummy_track from cv_tracker
    * separated klt_track from cv_tracker
    * Fix a cmake
    * Remove unnecessary dependency of lidar_euclidean_cluster_detect package
    * Rename image_segmenter to vision_segment_enet_detect
    * Remove unnecessary dependency of lidar_svm_detect package
    * separated kf_track and fix a some compiling issue
    * move viewers
    * merge ndt_localizer and icp_localizer, and rename to lidar_localizer
    * Remove unnecessary dependency of lidar_euclidean_track
    * moved image lib
    * add launch
    * lib move under lidar_tracker
    * Rename dpm_ttic to vision_dpm_ttic_detect
    * rename yolo3detector to vision_yolo3_detect
    * Modify cmake and package.xml in vision_dpm_ttic_detect
    * moved sourcefiles into nodes dir
    * moved sourcefiles into nodes dir
    * Move cv_tracker/data folder and delete cv_tracker/model folder
    * fix a package file and cmake
    * Rename yolo2 -> vision_yolo2_detect
    * fix a package file and cmake
    * Fix package name of launch file
    * Rename ssd to vision_ssd_detect
    * fixed cmake and package for decerese dependencies
    * remove top packages dir for detection
    * fixed cmake for cuda
    * Rename lane_detector to vision_lane_detect
    * Modify package.xml in lidar-related packages
    * Remove unnecessary dependencies in lidar_detector and lidar_tracker
    * Modify computing.yaml for dpm_ttic
    * Modify dpm_ttic launch file
    * Remove/Add dependencies to trafficlight_recognizer
    * Update data folder in dpm_ttic
    * Modified CMake and package file in dpm_ttic.
    * Remove src dir in imm_ukf_pda_track
    * removed unnecessary comments
    * rename lidar_tracker
    * Modify pf_lidar_track's cmake file
    * Refactor code
    * Rename from euclidean_lidar_tracker to lidar_euclidean_track
    * Rename from kf_contour_track to lidar_kf_contour_track
    * Rename from kf_lidar_track to lidar_kf_track, but need some modification in euclidean cluster(Cluster.h)
    * Rename from pf_lidar_tarck to lidar_pf_track
    * Rename range_fusion
    * Rename obj_reproj
    * Rename road_wizard to trafficlight_recognizer
    * Rename euclidean_cluster to lidar_euclidean_cluster_detect
    * Rename svm_lidar_detect to lidar_svm_detect
    * Rename kf_lidar_track to lidar_kf_track
    * Change version 1.6.3 to 1.7.0 in pacakge.xml
    * Modify CMake so that extrenal header would be loaded
    * Remove obj_reproj from cv_tracker
    * Add interface.yaml
    * create common directory
    * Add lidar_imm_ukf_pda_track
    * create vision_detector and moved cv
    * Modify interface.yaml and package.xml
    * remove dpm_ocv
    * moved directory
    * Delete unnecessary launch file
    * Delete rcnn related file and code
    * separated dummy_track from cv_tracker
    * separated klt_track from cv_tracker
    * Fix a cmake
    * Remove unnecessary dependency of lidar_euclidean_cluster_detect package
    * Rename image_segmenter to vision_segment_enet_detect
    * Remove unnecessary dependency of lidar_svm_detect package
    * separated kf_track and fix a some compiling issue
    * move viewers
    * merge ndt_localizer and icp_localizer, and rename to lidar_localizer
    * Remove unnecessary dependency of lidar_euclidean_track
    * moved image lib
    * add launch
    * lib move under lidar_tracker
    * Rename dpm_ttic to vision_dpm_ttic_detect
    * rename yolo3detector to vision_yolo3_detect
    * Modify cmake and package.xml in vision_dpm_ttic_detect
    * moved sourcefiles into nodes dir
    * moved sourcefiles into nodes dir
    * Move cv_tracker/data folder and delete cv_tracker/model folder
    * fix a package file and cmake
    * Rename yolo2 -> vision_yolo2_detect
    * fix a package file and cmake
    * Fix package name of launch file
    * Rename ssd to vision_ssd_detect
    * fixed cmake and package for decerese dependencies
    * remove top packages dir for detection
    * fixed cmake for cuda
    * Rename lane_detector to vision_lane_detect
    * Modify package.xml in lidar-related packages
    * Remove unnecessary dependencies in lidar_detector and lidar_tracker
    * Modify computing.yaml for dpm_ttic
    * Modify dpm_ttic launch file
    * Remove/Add dependencies to trafficlight_recognizer
    * Update data folder in dpm_ttic
    * Modified CMake and package file in dpm_ttic.
    * Remove src dir in imm_ukf_pda_track
    * Fix bug for not starting run time manager
    * Remove invalid dependency
  * Return disable_decision_maker to rosparam
  * Rename class and functions filter->replan
  * Fix message
  * Fix config message path
  * change can_translator
    - Support to vehicle_status(can intermediate layer)
    - Separate the can translator and the odometry.
    - Support to output vehicle autonomous mode
  * add vehicle_status msg
  * Add end point offset option
  * Fix/cmake cleanup (#1156 <https://github.com/CPFL/Autoware/issues/1156>)
    * Initial Cleanup
    * fixed also for indigo
    * kf cjeck
    * Fix road wizard
    * Added travis ci
    * Trigger CI
    * Fixes to cv_tracker and lidar_tracker cmake
    * Fix kitti player dependencies
    * Removed unnecessary dependencies
    * messages fixing for can
    * Update build script travis
    * Travis Path
    * Travis Paths fix
    * Travis test
    * Eigen checks
    * removed unnecessary dependencies
    * Eigen Detection
    * Job number reduced
    * Eigen3 more fixes
    * More Eigen3
    * Even more Eigen
    * find package cmake modules included
    * More fixes to cmake modules
    * Removed non ros dependency
    * Enable industrial_ci for indidog and kinetic
    * Wrong install command
    * fix rviz_plugin install
    * FastVirtualScan fix
    * Fix Qt5 Fastvirtualscan
    * Fixed qt5 system dependencies for rosdep
    * NDT TKU Fix catkin not pacakged
    * Fixes from industrial_ci
  * add ctrl_cmd/cmd/linear_acceletion
  * Correspond to new version of waypoint_csv(for decision_maker)
  * fix runtime_manager layout and description
  * Add config_callback for online waypoint tuning
  * Separate configration for speed planning against obstacle/stopline (Note: no logics changed)
  * parametrize detection area
  * add ratio for stopline target
  * Add a transition to stopstate to re-start only manually
  * add new param for decision_maker
  * Contributors: Abraham Monrroy, Akihito Ohsato, Dejan Pangercic, Kosuke Murakami, Yamato ANDO, Yuma, Yuma Nihei, Yusuke FUJII

 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Fri, 18 May 2018 05:00:00 -0000

ros-noetic-autoware-config-msgs (1.6.3-1buster) buster; urgency=high



 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Tue, 06 Mar 2018 06:00:00 -0000

ros-noetic-autoware-config-msgs (1.6.2-1buster) buster; urgency=high

  * Update CHANGELOG
  * Contributors: Yusuke FUJII

 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Tue, 27 Feb 2018 06:00:00 -0000

ros-noetic-autoware-config-msgs (1.6.1-1buster) buster; urgency=high

  * update CHANGELOG
  * Contributors: Yusuke FUJII

 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Sat, 20 Jan 2018 06:00:00 -0000

ros-noetic-autoware-config-msgs (1.6.0-1buster) buster; urgency=high

  * Prepare release for 1.6.0
  * Added support to publish result of multiple traffic signals according to the lane
    VectorMapServer Support to publish signals on current lane if current_pose and final_waypoints available
  * Initial modifications to feat_proj, tlr, context and vector_map loader, server and client to support different types of traffic signals
  * 
    
      * Add new Node for object polygon representation and tracking (kf_contour_tracker)
      * Add launch file and tune tracking parameters
      * Test with Moriyama rosbag
    
  * Fixed:
    - callback
    - laneshift
    Added:
    - publisher for laneid
    - new lanechange flag
    - new param for decisionMaker
  * add to insert shift lane
  * Support to lanechange similar to state_machine(old) package
  * Changed path state recognition to the way based on /lane_waypoints_array
  * Fix build error, add msg definition
  * Rename and merge msgs
  * add path velocity smoothing
  * add msg of waypointstate for decision_maker
  * Feature/fusion_filter - fusion multiple lidar (#842 <https://github.com/cpfl/autoware/issues/842>)
    * Add fusion_filter to merge multiple lidar pointclouds
    * Refactor fusion_filter
    * Apply clang-format and rebase develop
    * Add fusion_filter launch and runtime_manager config
    * Fix names, fusion_filter -> points_concat_filter
    * Fix build error in ros-indigo
    * Fix some default message/frame names
    * Refactor code and apply clang-format
    * Add configrations for runtime_manager
    * Fix CMake
  * refactor code
  * refactor code
  * refactor msg and add blinker to msg
  * Add ground_filter config for runtime_manager (#828 <https://github.com/cpfl/autoware/issues/828>)
  * Ray Ground Filter Initial Commit
  * add approximate_ndt_mapping (#811 <https://github.com/cpfl/autoware/issues/811>)
  * add new msg and rename msg
  * add mqtt sender
  * Contributors: AMC, Akihito Ohsato, Yamato ANDO, Yuki Iida, Yuki Kitsukawa, Yusuke FUJII, hatem-darweesh

 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Mon, 11 Dec 2017 06:00:00 -0000

ros-noetic-autoware-config-msgs (1.5.1-1buster) buster; urgency=high

  * Release/1.5.1 (#816 <https://github.com/cpfl/autoware/issues/816>)
    * fix a build error by gcc version
    * fix build error for older indigo version
    * update changelog for v1.5.1
    * 1.5.1
  * Contributors: Yusuke FUJII

 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Mon, 25 Sep 2017 05:00:00 -0000

ros-noetic-autoware-config-msgs (1.5.0-1buster) buster; urgency=high

  * Update changelog
  * update decision maker config
  * Add to support dynamical parameter for decision_maker
  * Add decision_maker config
  * add config parameter
  * autoware_msgs does not depend on jsk_rviz_plugin, cmake and package.xml were not correct
  * Contributors: Dejan Pangercic, Yusuke FUJII

 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Thu, 21 Sep 2017 05:00:00 -0000

ros-noetic-autoware-config-msgs (1.4.0-1buster) buster; urgency=high

  * version number must equal current release number so we can start releasing in the future
  * added changelogs
  * Contributors: Dejan Pangercic

 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Fri, 04 Aug 2017 05:00:00 -0000

ros-noetic-autoware-config-msgs (1.3.1-1buster) buster; urgency=high



 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Sun, 16 Jul 2017 05:00:00 -0000

ros-noetic-autoware-config-msgs (1.3.0-1buster) buster; urgency=high

  * convert to autoware_msgs
  * Contributors: YamatoAndo

 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Fri, 14 Jul 2017 05:00:00 -0000

ros-noetic-autoware-config-msgs (1.2.0-1buster) buster; urgency=high



 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Wed, 07 Jun 2017 05:00:00 -0000

ros-noetic-autoware-config-msgs (1.1.2-1buster) buster; urgency=high



 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Tue, 28 Feb 2017 05:10:00 -0000

ros-noetic-autoware-config-msgs (1.1.1-1buster) buster; urgency=high



 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Tue, 28 Feb 2017 04:25:00 -0000

ros-noetic-autoware-config-msgs (1.1.0-1buster) buster; urgency=high



 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Fri, 24 Feb 2017 06:00:00 -0000

ros-noetic-autoware-config-msgs (1.0.1-1buster) buster; urgency=high



 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Sat, 14 Jan 2017 06:00:00 -0000

ros-noetic-autoware-config-msgs (1.0.0-1buster) buster; urgency=high



 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Thu, 22 Dec 2016 06:00:00 -0000


